/**
 * DevExtreme (client_exporter/xlsx/xlsx_cell_alignment_helper.js)
 * Version: 18.2.0 (build 18278)
 * Build date: Fri Oct 05 2018
 *
 * Copyright (c) 2012 - 2018 Developer Express Inc. ALL RIGHTS RESERVED
 * Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
 */
"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
var _type = require("../../core/utils/type");
var _type2 = _interopRequireDefault(_type);
var _xlsx_tag_helper = require("./xlsx_tag_helper");
var _xlsx_tag_helper2 = _interopRequireDefault(_xlsx_tag_helper);

function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : {
        "default": obj
    }
}
var xlsxCellAlignmentHelper = {
    tryCreateTag: function(sourceObj) {
        var result = null;
        if (_type2.default.isDefined(sourceObj)) {
            result = {
                vertical: sourceObj.vertical,
                wrapText: sourceObj.wrapText,
                horizontal: sourceObj.horizontal
            };
            if (xlsxCellAlignmentHelper.isEmpty(result)) {
                result = null
            }
        }
        return result
    },
    areEqual: function(leftTag, rightTag) {
        return xlsxCellAlignmentHelper.isEmpty(leftTag) && xlsxCellAlignmentHelper.isEmpty(rightTag) || _type2.default.isDefined(leftTag) && _type2.default.isDefined(rightTag) && leftTag.vertical === rightTag.vertical && leftTag.wrapText === rightTag.wrapText && leftTag.horizontal === rightTag.horizontal
    },
    isEmpty: function(tag) {
        return !_type2.default.isDefined(tag) || !_type2.default.isDefined(tag.vertical) && !_type2.default.isDefined(tag.wrapText) && !_type2.default.isDefined(tag.horizontal)
    },
    toXml: function(tag) {
        return _xlsx_tag_helper2.default.toXml("alignment", {
            vertical: tag.vertical,
            wrapText: _type2.default.isDefined(tag.wrapText) ? Number(tag.wrapText) : void 0,
            horizontal: tag.horizontal
        })
    }
};
exports.default = xlsxCellAlignmentHelper;
