/**
 * DevExtreme (client_exporter/xlsx/xlsx_fill_helper.js)
 * Version: 18.2.0 (build 18278)
 * Build date: Fri Oct 05 2018
 *
 * Copyright (c) 2012 - 2018 Developer Express Inc. ALL RIGHTS RESERVED
 * Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
 */
"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
var _type = require("../../core/utils/type");
var _type2 = _interopRequireDefault(_type);
var _xlsx_tag_helper = require("./xlsx_tag_helper");
var _xlsx_tag_helper2 = _interopRequireDefault(_xlsx_tag_helper);
var _xlsx_pattern_fill_helper = require("./xlsx_pattern_fill_helper");
var _xlsx_pattern_fill_helper2 = _interopRequireDefault(_xlsx_pattern_fill_helper);

function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : {
        "default": obj
    }
}
var xlsxFillHelper = {
    tryCreateTag: function(sourceObj) {
        var result = null;
        if (_type2.default.isDefined(sourceObj)) {
            result = {
                patternFill: _xlsx_pattern_fill_helper2.default.tryCreateTag(sourceObj.patternFill)
            };
            if (xlsxFillHelper.isEmpty(result)) {
                result = null
            }
        }
        return result
    },
    areEqual: function(leftTag, rightTag) {
        return xlsxFillHelper.isEmpty(leftTag) && xlsxFillHelper.isEmpty(rightTag) || _type2.default.isDefined(leftTag) && _type2.default.isDefined(rightTag) && _xlsx_pattern_fill_helper2.default.areEqual(leftTag.patternFill, rightTag.patternFill)
    },
    isEmpty: function(tag) {
        return !_type2.default.isDefined(tag) || _xlsx_pattern_fill_helper2.default.isEmpty(tag.patternFill)
    },
    toXml: function(tag) {
        return _xlsx_tag_helper2.default.toXml("fill", {}, _xlsx_pattern_fill_helper2.default.toXml(tag.patternFill))
    }
};
exports.default = xlsxFillHelper;
