/**
 * DevExtreme (client_exporter/xlsx/xlsx_font_helper.js)
 * Version: 18.2.0 (build 18278)
 * Build date: Fri Oct 05 2018
 *
 * Copyright (c) 2012 - 2018 Developer Express Inc. ALL RIGHTS RESERVED
 * Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
 */
"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
var _type = require("../../core/utils/type");
var _type2 = _interopRequireDefault(_type);
var _xlsx_tag_helper = require("./xlsx_tag_helper");
var _xlsx_tag_helper2 = _interopRequireDefault(_xlsx_tag_helper);
var _xlsx_color_helper = require("./xlsx_color_helper");
var _xlsx_color_helper2 = _interopRequireDefault(_xlsx_color_helper);

function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : {
        "default": obj
    }
}
var xlsxFontHelper = {
    tryCreateTag: function(sourceObj) {
        var result = null;
        if (_type2.default.isDefined(sourceObj)) {
            result = {
                size: sourceObj.size,
                name: sourceObj.name,
                family: sourceObj.family,
                scheme: sourceObj.scheme,
                bold: sourceObj.bold,
                italic: sourceObj.italic,
                underline: sourceObj.underline,
                color: _xlsx_color_helper2.default.tryCreateTag(sourceObj.color)
            };
            if (xlsxFontHelper.isEmpty(result)) {
                result = null
            }
        }
        return result
    },
    areEqual: function(leftTag, rightTag) {
        return xlsxFontHelper.isEmpty(leftTag) && xlsxFontHelper.isEmpty(rightTag) || _type2.default.isDefined(leftTag) && _type2.default.isDefined(rightTag) && leftTag.size === rightTag.size && leftTag.name === rightTag.name && leftTag.family === rightTag.family && leftTag.scheme === rightTag.scheme && (leftTag.bold === rightTag.bold || !leftTag.bold === !rightTag.bold) && (leftTag.italic === rightTag.italic || !leftTag.italic === !rightTag.italic) && leftTag.underline === rightTag.underline && _xlsx_color_helper2.default.areEqual(leftTag.color, rightTag.color)
    },
    isEmpty: function(tag) {
        return !_type2.default.isDefined(tag) || !_type2.default.isDefined(tag.size) && !_type2.default.isDefined(tag.name) && !_type2.default.isDefined(tag.family) && !_type2.default.isDefined(tag.scheme) && (!_type2.default.isDefined(tag.bold) || !tag.bold) && (!_type2.default.isDefined(tag.italic) || !tag.italic) && !_type2.default.isDefined(tag.underline) && _xlsx_color_helper2.default.isEmpty(tag.color)
    },
    toXml: function(tag) {
        var content = [_type2.default.isDefined(tag.bold) && tag.bold ? _xlsx_tag_helper2.default.toXml("b", {}) : "", _type2.default.isDefined(tag.size) ? _xlsx_tag_helper2.default.toXml("sz", {
            val: tag.size
        }) : "", _type2.default.isDefined(tag.color) ? _xlsx_color_helper2.default.toXml("color", tag.color) : "", _type2.default.isDefined(tag.name) ? _xlsx_tag_helper2.default.toXml("name", {
            val: tag.name
        }) : "", _type2.default.isDefined(tag.family) ? _xlsx_tag_helper2.default.toXml("family", {
            val: tag.family
        }) : "", _type2.default.isDefined(tag.scheme) ? _xlsx_tag_helper2.default.toXml("scheme", {
            val: tag.scheme
        }) : "", _type2.default.isDefined(tag.italic) && tag.italic ? _xlsx_tag_helper2.default.toXml("i", {}) : "", _type2.default.isDefined(tag.underline) ? _xlsx_tag_helper2.default.toXml("u", {
            val: tag.underline
        }) : ""].join("");
        return _xlsx_tag_helper2.default.toXml("font", {}, content)
    }
};
exports.default = xlsxFontHelper;
