/**
 * DevExtreme (client_exporter/xlsx/xlsx_pattern_fill_helper.js)
 * Version: 18.2.0 (build 18278)
 * Build date: Fri Oct 05 2018
 *
 * Copyright (c) 2012 - 2018 Developer Express Inc. ALL RIGHTS RESERVED
 * Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
 */
"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
var _type = require("../../core/utils/type");
var _type2 = _interopRequireDefault(_type);
var _xlsx_tag_helper = require("./xlsx_tag_helper");
var _xlsx_tag_helper2 = _interopRequireDefault(_xlsx_tag_helper);
var _xlsx_color_helper = require("./xlsx_color_helper");
var _xlsx_color_helper2 = _interopRequireDefault(_xlsx_color_helper);

function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : {
        "default": obj
    }
}
var xlsxPatternFillHelper = {
    tryCreateTag: function(sourceObj) {
        var result = null;
        if (_type2.default.isDefined(sourceObj)) {
            result = {
                patternType: sourceObj.patternType,
                backgroundColor: _xlsx_color_helper2.default.tryCreateTag(sourceObj.backgroundColor),
                foregroundColor: _xlsx_color_helper2.default.tryCreateTag(sourceObj.foregroundColor)
            };
            if (xlsxPatternFillHelper.isEmpty(result)) {
                result = null
            }
        }
        return result
    },
    areEqual: function(leftTag, rightTag) {
        return xlsxPatternFillHelper.isEmpty(leftTag) && xlsxPatternFillHelper.isEmpty(rightTag) || _type2.default.isDefined(leftTag) && _type2.default.isDefined(rightTag) && leftTag.patternType === rightTag.patternType && _xlsx_color_helper2.default.areEqual(leftTag.backgroundColor, rightTag.backgroundColor) && _xlsx_color_helper2.default.areEqual(leftTag.foregroundColor, rightTag.foregroundColor)
    },
    isEmpty: function(tag) {
        return !_type2.default.isDefined(tag) || !_type2.default.isDefined(tag.patternType)
    },
    toXml: function(tag) {
        var content = [_type2.default.isDefined(tag.foregroundColor) ? _xlsx_color_helper2.default.toXml("fgColor", tag.foregroundColor) : "", _type2.default.isDefined(tag.backgroundColor) ? _xlsx_color_helper2.default.toXml("bgColor", tag.backgroundColor) : ""].join("");
        return _xlsx_tag_helper2.default.toXml("patternFill", {
            patternType: tag.patternType
        }, content)
    }
};
exports.default = xlsxPatternFillHelper;
