/**
 * DevExtreme (ui/drawer/ui.drawer.rendering.strategy.overlap.js)
 * Version: 18.2.0 (build 18278)
 * Build date: Fri Oct 05 2018
 *
 * Copyright (c) 2012 - 2018 Developer Express Inc. ALL RIGHTS RESERVED
 * Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
 */
"use strict";
var _createClass = function() {
    function defineProperties(target, props) {
        for (var i = 0; i < props.length; i++) {
            var descriptor = props[i];
            descriptor.enumerable = descriptor.enumerable || false;
            descriptor.configurable = true;
            if ("value" in descriptor) {
                descriptor.writable = true
            }
            Object.defineProperty(target, descriptor.key, descriptor)
        }
    }
    return function(Constructor, protoProps, staticProps) {
        if (protoProps) {
            defineProperties(Constructor.prototype, protoProps)
        }
        if (staticProps) {
            defineProperties(Constructor, staticProps)
        }
        return Constructor
    }
}();
var _get = function get(object, property, receiver) {
    if (null === object) {
        object = Function.prototype
    }
    var desc = Object.getOwnPropertyDescriptor(object, property);
    if (void 0 === desc) {
        var parent = Object.getPrototypeOf(object);
        if (null === parent) {
            return
        } else {
            return get(parent, property, receiver)
        }
    } else {
        if ("value" in desc) {
            return desc.value
        } else {
            var getter = desc.get;
            if (void 0 === getter) {
                return
            }
            return getter.call(receiver)
        }
    }
};
var _uiDrawerRendering = require("./ui.drawer.rendering.strategy");
var _uiDrawerRendering2 = _interopRequireDefault(_uiDrawerRendering);
var _renderer = require("../../core/renderer");
var _renderer2 = _interopRequireDefault(_renderer);
var _translator = require("../../animation/translator");
var _translator2 = _interopRequireDefault(_translator);
var _overlay = require("../overlay");
var _overlay2 = _interopRequireDefault(_overlay);

function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : {
        "default": obj
    }
}

function _classCallCheck(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function")
    }
}

function _possibleConstructorReturn(self, call) {
    if (!self) {
        throw new ReferenceError("this hasn't been initialised - super() hasn't been called")
    }
    return call && ("object" === typeof call || "function" === typeof call) ? call : self
}

function _inherits(subClass, superClass) {
    if ("function" !== typeof superClass && null !== superClass) {
        throw new TypeError("Super expression must either be null or a function, not " + typeof superClass)
    }
    subClass.prototype = Object.create(superClass && superClass.prototype, {
        constructor: {
            value: subClass,
            enumerable: false,
            writable: true,
            configurable: true
        }
    });
    if (superClass) {
        Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass
    }
}
var OverlapStrategy = function(_DrawerStrategy) {
    _inherits(OverlapStrategy, _DrawerStrategy);

    function OverlapStrategy() {
        _classCallCheck(this, OverlapStrategy);
        return _possibleConstructorReturn(this, (OverlapStrategy.__proto__ || Object.getPrototypeOf(OverlapStrategy)).apply(this, arguments))
    }
    _createClass(OverlapStrategy, [{
        key: "renderPanel",
        value: function(template) {
            var position = this.getOverlayPosition();
            this._drawer._overlay = this._drawer._createComponent(this._drawer.content(), _overlay2.default, {
                shading: false,
                container: this._drawer.getOverlayTarget(),
                position: position,
                height: "100%",
                animation: {
                    show: {
                        duration: 0
                    }
                },
                onPositioned: function(e) {
                    _translator2.default.move(e.component.$content(), {
                        left: 0
                    })
                },
                contentTemplate: template,
                visible: true,
                propagateOutsideClick: true
            })
        }
    }, {
        key: "getOverlayPosition",
        value: function() {
            var position = this._drawer.option("position"),
                result = {};
            if ("left" === position) {
                result = {
                    my: "top left",
                    at: "top left"
                }
            }
            if ("right" === position) {
                result = {
                    my: "top right",
                    at: "top right"
                }
            }
            if ("top" === position || "bottom" === position) {
                result = {
                    my: position,
                    at: position
                }
            }
            result.of = this._drawer.getOverlayTarget();
            return result
        }
    }, {
        key: "setPanelSize",
        value: function(keepMaxSize) {
            var overlay = this._drawer.getOverlay();
            if (this._drawer._isHorizontalDirection()) {
                overlay.option("height", "100%");
                overlay.option("width", keepMaxSize ? this._drawer.getRealPanelWidth() : this._getPanelSize(this._drawer.option("opened")))
            } else {
                overlay.option("width", overlay.option("container").width());
                overlay.option("height", this._drawer.getRealPanelHeight())
            }
        }
    }, {
        key: "renderPosition",
        value: function(offset, animate) {
            var _this2 = this;
            _get(OverlapStrategy.prototype.__proto__ || Object.getPrototypeOf(OverlapStrategy.prototype), "renderPosition", this).call(this, offset, animate);
            var $element = (0, _renderer2.default)(this._drawer.content());
            var $content = (0, _renderer2.default)(this._drawer.viewContent());
            var direction = this._drawer.option("position");
            var panelPosition = this._getPanelOffset(offset) * this._drawer._getPositionCorrection();
            if (this._drawer._isHorizontalDirection()) {
                $content.css("paddingLeft", this._drawer.option("minSize") * this._drawer._getPositionCorrection())
            }
            $content.css("transform", "inherit");
            if ("slide" === this._drawer.option("revealMode")) {
                if (animate) {
                    var animationConfig = {
                        $element: $element,
                        position: panelPosition,
                        duration: this._drawer.option("animationDuration"),
                        direction: direction,
                        complete: function() {
                            _this2._contentAnimationResolve();
                            _this2._panelAnimationResolve()
                        }
                    };
                    _uiDrawerRendering.animation.moveTo(animationConfig)
                } else {
                    if (this._drawer._isHorizontalDirection()) {
                        _translator2.default.move($element, {
                            left: panelPosition
                        })
                    } else {
                        _translator2.default.move($element, {
                            top: panelPosition
                        })
                    }
                }
            }
            if ("expand" === this._drawer.option("revealMode")) {
                var _$element = this._drawer.getOverlay().$content();
                var size = this._getPanelSize(offset);
                var _direction = this._drawer.option("position");
                var marginTop = this._drawer.getRealPanelHeight() - size;
                var _animationConfig = {
                    $element: _$element,
                    size: size,
                    duration: this._drawer.option("animationDuration"),
                    direction: _direction,
                    marginTop: marginTop,
                    complete: function() {
                        _this2._contentAnimationResolve();
                        _this2._panelAnimationResolve()
                    }
                };
                if (animate) {
                    _uiDrawerRendering.animation.size(_animationConfig)
                } else {
                    if (this._drawer._isHorizontalDirection()) {
                        (0, _renderer2.default)(_$element).css("width", size)
                    } else {
                        (0, _renderer2.default)(_$element).css("height", size);
                        if ("bottom" === _direction) {
                            (0, _renderer2.default)(_$element).css("marginTop", marginTop)
                        }
                    }
                }
            }
        }
    }, {
        key: "getPanelContent",
        value: function() {
            return (0, _renderer2.default)(this._drawer._overlay.content())
        }
    }]);
    return OverlapStrategy
}(_uiDrawerRendering2.default);
module.exports = OverlapStrategy;
