/**
 * DevExtreme (ui/html_editor/formats/placeholder.js)
 * Version: 18.2.0 (build 18278)
 * Build date: Fri Oct 05 2018
 *
 * Copyright (c) 2012 - 2018 Developer Express Inc. ALL RIGHTS RESERVED
 * Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
 */
"use strict";
var _createClass = function() {
    function defineProperties(target, props) {
        for (var i = 0; i < props.length; i++) {
            var descriptor = props[i];
            descriptor.enumerable = descriptor.enumerable || false;
            descriptor.configurable = true;
            if ("value" in descriptor) {
                descriptor.writable = true
            }
            Object.defineProperty(target, descriptor.key, descriptor)
        }
    }
    return function(Constructor, protoProps, staticProps) {
        if (protoProps) {
            defineProperties(Constructor.prototype, protoProps)
        }
        if (staticProps) {
            defineProperties(Constructor, staticProps)
        }
        return Constructor
    }
}();
var _get = function get(object, property, receiver) {
    if (null === object) {
        object = Function.prototype
    }
    var desc = Object.getOwnPropertyDescriptor(object, property);
    if (void 0 === desc) {
        var parent = Object.getPrototypeOf(object);
        if (null === parent) {
            return
        } else {
            return get(parent, property, receiver)
        }
    } else {
        if ("value" in desc) {
            return desc.value
        } else {
            var getter = desc.get;
            if (void 0 === getter) {
                return
            }
            return getter.call(receiver)
        }
    }
};
var _quill_importer = require("../quill_importer");
var _common = require("../../../core/utils/common");
var _extend = require("../../../core/utils/extend");

function _classCallCheck(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function")
    }
}

function _possibleConstructorReturn(self, call) {
    if (!self) {
        throw new ReferenceError("this hasn't been initialised - super() hasn't been called")
    }
    return call && ("object" === typeof call || "function" === typeof call) ? call : self
}

function _inherits(subClass, superClass) {
    if ("function" !== typeof superClass && null !== superClass) {
        throw new TypeError("Super expression must either be null or a function, not " + typeof superClass)
    }
    subClass.prototype = Object.create(superClass && superClass.prototype, {
        constructor: {
            value: subClass,
            enumerable: false,
            writable: true,
            configurable: true
        }
    });
    if (superClass) {
        Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass
    }
}
var quill = (0, _quill_importer.getQuill)();
var Embed = quill.import("blots/embed");
var PLACEHOLDER_CLASS = "dx-data-placeholder";
var Placeholder = function(_Embed) {
    _inherits(Placeholder, _Embed);

    function Placeholder() {
        _classCallCheck(this, Placeholder);
        return _possibleConstructorReturn(this, (Placeholder.__proto__ || Object.getPrototypeOf(Placeholder)).apply(this, arguments))
    }
    _createClass(Placeholder, null, [{
        key: "create",
        value: function(data) {
            var node = _get(Placeholder.__proto__ || Object.getPrototypeOf(Placeholder), "create", this).call(this),
                startEscapedChar = (0, _common.ensureDefined)(data.startEscapedChar, data.escapedChar),
                endEscapedChar = (0, _common.ensureDefined)(data.endEscapedChar, data.escapedChar),
                text = data.value;
            node.innerText = startEscapedChar + text + endEscapedChar;
            if (data.startEscapedChar) {
                node.dataset.placeholderStartChar = data.startEscapedChar
            }
            if (data.endEscapedChar) {
                node.dataset.placeholderEndChar = data.endEscapedChar
            }
            node.dataset.placeholderEscChar = data.escapedChar;
            node.dataset.placeholderValue = data.value;
            return node
        }
    }, {
        key: "value",
        value: function(node) {
            return (0, _extend.extend)({}, {
                value: node.dataset.placeholderValue,
                escapedChar: node.dataset.placeholderEscChar,
                startEscapedChar: node.dataset.placeholderStartChar,
                endEscapedChar: node.dataset.placeholderEndChar
            })
        }
    }]);
    return Placeholder
}(Embed);
Placeholder.blotName = "placeholder";
Placeholder.tagName = "span";
Placeholder.className = PLACEHOLDER_CLASS;
module.exports = Placeholder;
