/**
 * DevExtreme (ui/html_editor/modules/placeholder.js)
 * Version: 18.2.0 (build 18278)
 * Build date: Fri Oct 05 2018
 *
 * Copyright (c) 2012 - 2018 Developer Express Inc. ALL RIGHTS RESERVED
 * Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
 */
"use strict";
var _createClass = function() {
    function defineProperties(target, props) {
        for (var i = 0; i < props.length; i++) {
            var descriptor = props[i];
            descriptor.enumerable = descriptor.enumerable || false;
            descriptor.configurable = true;
            if ("value" in descriptor) {
                descriptor.writable = true
            }
            Object.defineProperty(target, descriptor.key, descriptor)
        }
    }
    return function(Constructor, protoProps, staticProps) {
        if (protoProps) {
            defineProperties(Constructor.prototype, protoProps)
        }
        if (staticProps) {
            defineProperties(Constructor, staticProps)
        }
        return Constructor
    }
}();
var _get = function get(object, property, receiver) {
    if (null === object) {
        object = Function.prototype
    }
    var desc = Object.getOwnPropertyDescriptor(object, property);
    if (void 0 === desc) {
        var parent = Object.getPrototypeOf(object);
        if (null === parent) {
            return
        } else {
            return get(parent, property, receiver)
        }
    } else {
        if ("value" in desc) {
            return desc.value
        } else {
            var getter = desc.get;
            if (void 0 === getter) {
                return
            }
            return getter.call(receiver)
        }
    }
};
var _quill_importer = require("../quill_importer");
var _popover = require("./popover");
var _popover2 = _interopRequireDefault(_popover);
var _placeholder = require("../formats/placeholder");
var _placeholder2 = _interopRequireDefault(_placeholder);
var _extend = require("../../../core/utils/extend");

function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : {
        "default": obj
    }
}

function _classCallCheck(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function")
    }
}

function _possibleConstructorReturn(self, call) {
    if (!self) {
        throw new ReferenceError("this hasn't been initialised - super() hasn't been called")
    }
    return call && ("object" === typeof call || "function" === typeof call) ? call : self
}

function _inherits(subClass, superClass) {
    if ("function" !== typeof superClass && null !== superClass) {
        throw new TypeError("Super expression must either be null or a function, not " + typeof superClass)
    }
    subClass.prototype = Object.create(superClass && superClass.prototype, {
        constructor: {
            value: subClass,
            enumerable: false,
            writable: true,
            configurable: true
        }
    });
    if (superClass) {
        Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass
    }
}(0, _quill_importer.getQuill)().register({
    "formats/placeholder": _placeholder2.default
}, true);
var PlaceholderModule = function(_PopoverModule) {
    _inherits(PlaceholderModule, _PopoverModule);
    _createClass(PlaceholderModule, [{
        key: "_getDefaultOptions",
        value: function() {
            var baseConfig = _get(PlaceholderModule.prototype.__proto__ || Object.getPrototypeOf(PlaceholderModule.prototype), "_getDefaultOptions", this).call(this);
            return (0, _extend.extend)(baseConfig, {
                escapedChar: "",
                startEscapedChar: void 0,
                endEscapedChar: void 0
            })
        }
    }]);

    function PlaceholderModule(quill, options) {
        _classCallCheck(this, PlaceholderModule);
        var _this = _possibleConstructorReturn(this, (PlaceholderModule.__proto__ || Object.getPrototypeOf(PlaceholderModule)).call(this, quill, options));
        var toolbar = quill.getModule("toolbar");
        if (toolbar) {
            toolbar.addClickHandler("placeholder", _this.showPopover.bind(_this))
        }
        quill.keyboard.addBinding({
            key: "P",
            altKey: true
        }, _this.showPopover.bind(_this));
        return _this
    }
    _createClass(PlaceholderModule, [{
        key: "showPopover",
        value: function(event) {
            var selection = this.quill.getSelection();
            var position = selection ? selection.index : this.quill.getLength();
            this.savePosition(position);
            this._resetPopoverPosition(event, position);
            _get(PlaceholderModule.prototype.__proto__ || Object.getPrototypeOf(PlaceholderModule.prototype), "showPopover", this).call(this)
        }
    }, {
        key: "_resetPopoverPosition",
        value: function(event, position) {
            if (event && event.element) {
                this._popover.option("position", { of: event.element,
                    offset: {
                        h: 0,
                        v: 0
                    },
                    my: "top center",
                    at: "bottom center",
                    collision: "fit"
                })
            } else {
                var mentionBounds = this.quill.getBounds(position);
                var rootRect = this.quill.root.getBoundingClientRect();
                this._popover.option("position", { of: this.quill.root,
                    offset: {
                        h: mentionBounds.left,
                        v: mentionBounds.bottom - rootRect.height
                    },
                    my: "top center",
                    at: "bottom left",
                    collision: "fit flip"
                })
            }
        }
    }, {
        key: "insertEmbedContent",
        value: function(selectionChangedEvent) {
            var caretPosition = this.getPosition();
            var selectedItem = selectionChangedEvent.component.option("selectedItem");
            var placeholderData = (0, _extend.extend)({}, {
                value: selectedItem,
                escapedChar: this.options.escapedChar,
                startEscapedChar: this.options.startEscapedChar,
                endEscapedChar: this.options.endEscapedChar
            });
            setTimeout(function() {
                this.quill.insertEmbed(caretPosition, "placeholder", placeholderData);
                this.quill.setSelection(caretPosition + 1)
            }.bind(this))
        }
    }]);
    return PlaceholderModule
}(_popover2.default);
module.exports = PlaceholderModule;
